<?php
!defined('EMLOG_ROOT') && exit('error');
error_reporting(0); 
?>

<?php
function callback_init() {
	$plugin_storage = Storage::getInstance('plugin_hljs');
	
	// 默认设置 : 行号显示、vs高亮主题、外观扩展 Mac_light 预设
	$plugin_storage->setValue('isViewLine', 'y');
	$plugin_storage->setValue('hljsCssNum', '223');
	$plugin_storage->setValue('hljsCssUrl', EMLOG_ROOT.'/content/plugins/hljs/hljs_css/vs.min.css');
	$plugin_storage->setValue('customStyleUrl', EMLOG_ROOT.'/content/plugins/hljs/custom_preset/Mac_light.style');
}

function callback_up() {
	// 将配置里的 Url 地址转换为绝对路径
	$plugin_storage = Storage::getInstance('plugin_hljs');
	$hljsCssUrl 	= $plugin_storage->getValue('hljsCssUrl');  // 获取高亮样式的地址
	$customStyleUrl = $plugin_storage->getValue('customStyleUrl');  // 获取自定义样式扩展地址
	$hljsCssUrl 	= str_replace(BLOG_URL, EMLOG_ROOT . '/', $hljsCssUrl);
	$customStyleUrl = str_replace(BLOG_URL, EMLOG_ROOT . '/', $customStyleUrl);
	$plugin_storage->setValue('hljsCssUrl', $hljsCssUrl);
	$plugin_storage->setValue('customStyleUrl', $customStyleUrl);
}